package com.ruoyi.mall.mapper;

import com.ruoyi.mall.domain.MallBatch;
import com.ruoyi.mall.domain.Vo.BatchVO;

import java.util.List;

/**
 * 录取批次Mapper接口
 *
 * @author Lsm
 * @date 2023-10-18
 */
public interface MallBatchMapper
{
    /**
     * 查询录取批次
     *
     * @param batchId 录取批次主键
     * @return 录取批次
     */
    public MallBatch selectMallBatchByBatchId(Long batchId);

    /**
     * 批次名称查询
     * @param batchName 批次名
     * @return 结果
     */
    public MallBatch selectMallBatchByBatchName(String batchName);

    /**
     * 查询录取批次列表
     *
     * @param mallBatch 录取批次
     * @return 录取批次集合
     */
    public List<MallBatch> selectMallBatchList(MallBatch mallBatch);

    /**
     * 新增录取批次
     *
     * @param mallBatch 录取批次
     * @return 结果
     */
    public int insertMallBatch(MallBatch mallBatch);

    /**
     * 修改录取批次
     *
     * @param mallBatch 录取批次
     * @return 结果
     */
    public int updateMallBatch(MallBatch mallBatch);

    /**
     * 删除录取批次
     *
     * @param batchId 录取批次主键
     * @return 结果
     */
    public int deleteMallBatchByBatchId(Long batchId);

    /**
     * 批量删除录取批次
     *
     * @param batchIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallBatchByBatchIds(Long[] batchIds);

    /**
     * 批次查询列表
     * @return 结果
     */
    public  List<BatchVO> selectBatchList();

    /**
     * 所有批次
     * @return 结果
     */
    public  List<BatchVO> selectAllBatchList();

}
